------------------------------------------------------------------------------------
--Name：            210701[简体征服][活动脚本]全球七夕花魁赛活动
--Creator:      蔡颖静
--Created:     2021-07-01
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>248


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(183,84)
------------------------------------------------------------

CppScriptMgr:SetLightScreen(2000);

local BH  = CppScriptMgr:AddSimplePlayer(1063737, 183,91, "LilyFairy", 4003000550,1)
local MG  = CppScriptMgr:AddSimplePlayer(1063747, 179,83, "RoseFairy", 4003000551,1)
local LH  = CppScriptMgr:AddSimplePlayer(1063757, 181,80, "OrchidFairy", 4003000552,1)
local YJX  = CppScriptMgr:AddSimplePlayer(1050607, 189,84, "TulipFairy", 4003000553,1)
local LJ  = CppScriptMgr:AddSimplePlayer(1058517, 189,93, "GriffiniaFairy", 4003000554,1)
local HJ  = CppScriptMgr:AddSimplePlayer(1050207, 191,90, "WonderFairy", 4003000555,1)
local effectObj_BH = CppScriptMgr:AddEffect("zero8160",183,91);
local effectObj_MG = CppScriptMgr:AddEffect("zero8160",179,83);
local effectObj_LH = CppScriptMgr:AddEffect("zero8160",181,80);
local effectObj_YJX = CppScriptMgr:AddEffect("zero8160",189,84);
local effectObj_LJ = CppScriptMgr:AddEffect("zero8160",189,93);
local effectObj_HJ = CppScriptMgr:AddEffect("zero8160",191,90);

local effectObj_1 = CppScriptMgr:AddEffect("zero7196670",179,83);
local effectObj_2 = CppScriptMgr:AddEffect("zero7196670",182,82);
local effectObj_3 = CppScriptMgr:AddEffect("zero7196670",188,81);
local effectObj_4 = CppScriptMgr:AddEffect("zero7196670",182,87);
local effectObj_5 = CppScriptMgr:AddEffect("zero7196670",187,91);
local effectObj_6 = CppScriptMgr:AddEffect("zero7196670",195,86);
local effectObj_7 = CppScriptMgr:AddEffect("zero7196670",191,93);
local effectObj_8 = CppScriptMgr:AddEffect("zero7196670",186,97);
local effectObj_9 = CppScriptMgr:AddEffect("zero7196670",179,89);
local effectObj_10 = CppScriptMgr:AddEffect("zero7196670",183,88);
local effectObj_11 = CppScriptMgr:AddEffect("zero7196670",173,88);
local effectObj_12 = CppScriptMgr:AddEffect("zero7196670",177,87);
local effectObj_13 = CppScriptMgr:AddEffect("zero7196670",176,90);
local effectObj_14 = CppScriptMgr:AddEffect("zero7196670",186,98);
local effectObj_15 = CppScriptMgr:AddEffect("zero7196670",189,100);
local effectObj_16 = CppScriptMgr:AddEffect("zero7196670",183,79);
local effectObj_17 = CppScriptMgr:AddEffect("zero7196670",188,82);
local effectObj_18 = CppScriptMgr:AddEffect("zero7196670",180,94);
local effectObj_19 = CppScriptMgr:AddEffect("zero7196670",183,93);

BH:SetDir(7)
MG:SetDir(7)
LH:SetDir(7)
YJX:SetDir(7)
LJ:SetDir(7)
HJ:SetDir(7)


CppScriptMgr:WaitMilSec(2000)

BH:Say("It`s Valentine again!",2000)
CppScriptMgr:WaitMilSec(2000)
MG:Say("It`s so bustling here!",2000)
CppScriptMgr:WaitMilSec(3000)
LH:Say("It`s hard to say which flower is the most beautiful!",2000)
CppScriptMgr:WaitMilSec(2000)
YJX:Say("Agree!",2000)

CppScriptMgr:WaitMilSec(3000)



